Order Deny, Allow not in httpd.conf
Posted by: marugar (---.wi.res.rr.com)
Date: May 03, 2019 04:15AM

I am trying to bring my website public. Every forum is telling me to find the line Order Deny,Allow | Deny from all in httpd.conf with Order Allow,Deny | Allow from all. I don't see the original line in httpd.conf in the latest version of WAMP. Have I overlooked something?

Options: ReplyQuote
Re: Order Deny, Allow not in httpd.conf
Posted by: Otomatic (Moderator)
Date: May 03, 2019 08:58AM

Hi,

> Every forum is telling me to find the line Order Deny,Allow | Deny from all in httpd.conf
We're still going to have to stop believing all the bullshit that's going on on the Internet.
When you want to do something with Apache, you will read the official documentation and not all the guys who think they know and don't know anything about it.

And just because many forums are full of bullshit doesn't mean they're right.

You must use VirtualHost and it is in the definition of VirtualHost that you allow access from the outside.
See The need for Virtual Host

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.39 - PHP 7.3.5/7.2.18/7.1.29/7.0.33/5.6.40 - MySQL 5.7.26 - MariaDB 10.3.15
Wampserver 3.1.9 64 bit - Apache 2.4.39 - PHP 7.3.5/7.2.18/7.1.29/7.0.33/5.6.40 - MySQL 5.7.26/8.0.16 - MariaDB 10.3.15
PhPMyadmin 4.8.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Order Deny, Allow not in httpd.conf
Posted by: RiggsFolly (Moderator)
Date: May 03, 2019 11:35AM

Hi,

The Deny and Allow parameters were Apache 2.2 instructions.

I assume you are using Apache 2.4!

So the process would be:

1. Understand what the Deny and Allow parameters did for Apache 2.2
2. Find out what Apache 2.4 uses to do the same things.

Or read the Apache 2.2 to 2.4 Migration guide. That will undoubtably contain a reference to the old Allow and Deny parameters and let you know what the new parameter are called and a link to the manual to let you know how they work.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.1.8 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 6.3.10>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote


Sorry, only registered users may post in this forum.